import { Fragment } from "react";
import styles from './index.less';
import router from 'umi/router';
export default (({ title, btnText, sign }) => {
  const onPush = () => {
    if (sign === 1) {
      router.push('/mill/millDetail');
    }
    else if (sign === 2) {
      console.log('邀请好友');
    }
  }
  return (
    <Fragment>
      <div className={styles.header_vless}>
        <span className={styles.left}>{title}</span>
        {btnText && <span onClick={onPush} className={styles.right}>{btnText}</span>}
      </div>
      <div style={{borderBottom: 'solid 1px #E5E5E5' }}></div>
    </Fragment>
  )
})