import request from '../utils/request';
import { stringify } from 'qs';

//使用星芽apptoken 换取矿机token
export async function getTokenByXyToken(params) {
  return request(`/wazhima/user/thirdParty/getTokenByXyToken`, {
    method: 'POST',
    body: params,
  })
}

// //使用星芽apptoken 换取矿机token
// export async function getTokenByXyToken(params) {
//   return request(`/wazhima/user/thirdParty/getTokenByXyToken?${stringify(params)}`);
// }

//获取用户信息
export async function getMineinformation() {
  return request('/wazhima/user/getUser');
}
//获取用户资产
export async function getAsset() {
  return request('/wazhima/user/getAsset');
}

//获取USDT钱包地址
export async function getAccountAddress() {
  return request('/wazhima/chain/account/getAccountAddress');
}

//获取USDT和WOS兑换比率
export async function getUsdtToWos(params) {
  return request(`/wazhima/user/exchange/getUsdtToWos?${stringify(params)}`)
}

//充值USDT兑换WOS提交订单接口
export async function exchangeUsdtToWos(params) {
  return request('/wazhima/user/exchange/exchangeUsdtToWos', { method: 'POST', body: params })
}

//获取用户信息来源接口请求
export async function getUserByWallet(params) {
  return request(`/wazhima/user/getUserByWallet?${stringify(params)}`);
}

//转赠订单提交
export async function sendCoin(params) {
  return request('/wazhima/user/interactive/sendCoin', { method: "POST", body: params });
}

//提取WOS
export async function withdraw(params) {
  return request('wazhima/user/wallet/withdraw', { method: "POST", body: params })
}

//获取可提取WOS金额
export async function getWithdrawableAmount() {
  return request('/wazhima/user/wallet/getWithdrawableAmount');
}

//获取邀请码
export async function getInviteCode() {
  return request('/wazhima/user/invite/code/getInviteCode');
}

//用户邀请码获取用户信息
export async function getUserinfromation(params) {
  return request(`/wazhima/user/invite/code/getUser?${stringify(params)}`);
}

//绑定邀请关系
export async function bindingRelationship(params) {
  return request('/wazhima/user/invite/bind', { method: 'POST', body: params })
}

//我的邀请页列表
export async function getPageList(params) {
  return request('/wazhima/user/invite/getPageList', { method: 'POST', body: params })
}

//我的邀请摘要
export async function getInviteSummary(params) {
  return request(`/wazhima/user/invite/getInviteSummary?${stringify(params)}`)
}