import React, { Component } from 'react';
import styles from './titlebar.less';
import left from '../../assets/left.png';
import leftdown from '../../assets/leftdown.png';
import right from '../../assets/right.png';
import rightdown from '../../assets/rightdown.png';

export default class Titlebar extends Component {
  onleftChange = () => {
    if (this.props.tabgNum !== 0) this.props.onChange(0);
  }
  onrightChange = () => {
    if (this.props.tabgNum !== 1) this.props.onChange(1);
  }
  render() {
    const { tabgNum, title, scription } = this.props;
    return (
      <div className={styles.titlebarWrap}>
        <div className={styles.titleLess}>{title}</div>
        <div className={styles.scriptionLess}>{scription}</div>
        <div className={styles.footerbarWrap}>
          <div
            onClick={this.onleftChange}
            style={tabgNum === 0 ? { background: `url('${leftdown}')center center / cover no-repeat` } :
              { background: `url('${left}')center center / cover no-repeat`, color: '#ffffff', fontSize: '3.733vw' }}
            className={styles.content}
          >共享值矿机</div>
          <div
            onClick={this.onrightChange}
            style={tabgNum === 0 ? { background: `url('${right}')center center / cover no-repeat`, color: '#ffffff', fontSize: '3.733vw' } :
              { background: `url('${rightdown}')center center / cover no-repeat` }}
            className={styles.content}
          >WOS矿机</div>
        </div>
      </div>
    )
  }
}
