import React from 'react'
// import avatar from '@/assets/icon_default_avatar.png'

const getStyles = (size, style) => {
  const _style = {
    display: 'block',
    borderRadius: '50%'
  }
  _style.width = size / 100 + 'rem'
  _style.height = size / 100 + 'rem'
  if (style) {
    Object.assign(_style, style)
  }
  return _style
}
const Avatar = ({ src, size = 76, style }) => ((
  <img src={src} style={getStyles(size, style)} alt='' />
))
export default Avatar
