import { Fragment } from "react";
import router from 'umi/router';
import styles from './header.less';

export default (({ title, btnText }) => {
  return (
    <Fragment>
      <div className={styles.header_vless}>
        <span className={styles.left}>{title}</span>
        {btnText && <span onClick={() => router.push('/myinvitation')} className={styles.right}>{btnText}</span>}
      </div>
      <div style={{ borderBottom: 'solid 2px #E5E5E5' }}></div>
    </Fragment>
  )
})