import request from '../utils/request';
import { stringify } from 'qs';

//USDT明细列表获取
export async function getUSDTPageList(params) {
  return request('/wazhima/user/wallet/his/getUSDTPageList', { method: 'POST', body: params });
}

//USDT流水详情获取
export async function getUSDTDetail(params) {
  return request(`/wazhima/user/wallet/his/getUSDTDetail?${stringify(params)}`);
}

//获取WOS明细
export async function getWOSPageList(params) {
  return request('/wazhima/user/wallet/his/getWOSPageList', { method: 'POST', body: params });
}

//获取WOS流水详情
export async function getWOSDetail(params) {
  return request(`/wazhima/user/wallet/his/getWOSDetail`, { method: 'POST', body: params })
}

//获取共享值明细
export async function getShareValuePageList(params) {
  return request('/wazhima/user/wallet/his/getShareValuePageList', { method: 'POST', body: params });
}

//获取共享值流水详情
export async function getShareValueDetail(params) {
  return request(`/wazhima/user/wallet/his/getShareValueDetail`, { method: 'POST', body: params });
}